<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
abstract class Core_Plugin_Abstract
{
  public function __call($method, array $args)
  {
    throw new Core_Plugin_Exception(sprintf('Invalid method: %s', $method));
  }
}
